POST/shorts.v1alpha1.StockService/GetDividendHistory

GetDividendHistory

Get dividend history for a specific stock

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetDividendHistory RPC

stockCodestring

ASX stock code (proto string)

yearsinteger <int32>

How many years of history (default 5) (proto int32)

Responses

200Success
application/json
object

Response for GetDividendHistory RPC

dividendsarray

(proto shorts.v1alpha1.DividendRecord)

Array Items:
totalCountinteger <int32>

(proto int32)

trailingYieldnumber <double>

Calculated trailing 12-month dividend yield (proto double)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetDividendHistory" \
  -H "Content-Type: application/json" \
  -d '{
  "stockCode": "string",
  "years": 0
}'